Skip to main content
GET
/
api
/
ai
/
models
Get all available AI models
curl --request GET \
  --url https://api.example.com/api/ai/models \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "openai/gpt-4o",
    "created": 123,
    "inputModality": [
      "text",
      "image"
    ],
    "outputModality": [
      "text"
    ],
    "provider": "openrouter",
    "modelId": "openai/gpt-4o",
    "inputPrice": 123,
    "outputPrice": 123,
    "inputPriceLabel": "<string>",
    "outputPriceLabel": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Flat array of available models from the OpenRouter catalog

id
string
Example:

"openai/gpt-4o"

created
integer
inputModality
string[]
Example:
["text", "image"]
outputModality
string[]
Example:
["text"]
provider
string
Example:

"openrouter"

modelId
string
Example:

"openai/gpt-4o"

inputPrice
number

Input price per million tokens in USD when token pricing is available.

outputPrice
number

Output price per million tokens in USD when token pricing is available.

inputPriceLabel
string

Human-readable input pricing label, such as "$2.50 / 1M tokens" or "Free", when available.

outputPriceLabel
string

Human-readable output pricing label, such as "$10.00 / 1M tokens" or "Free", when available.